## thunderbird 60.0

=== debian/changelog ===
thunderbird (1:60.0-3~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Sep 2018 21:35:06 +0200

thunderbird (1:60.0-3) unstable; urgency=medium

  * [daa0dd7] locale: use 'intl.locale.requested' correctly
     Thanks to hint from Sven Joachim we can use the preference setting
     'intl.locale.requested' in way that users don't need to use this setting
     within their prefs.js to control the language of the Thunderbird UI.
     'intl.locale.requested' is somehow the successor of 'intl.locale.matchOS'.
    (Closes: #908034)
  * [f8ac1b2] debian/control: increase Standards-Version to 4.2.1
     No further changes needed.
  * [a001579] d/control: remove empty 'Replaces' in thunderbird-l10n-da
     We can remove that line of Replaces without any key.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Sep 2018 18:46:31 +0200

thunderbird (1:60.0-2~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security
  * [fd4e834] d/mozconfig.default: use internal libraries
  * [29621ed] d/control: remove no longer needed Build-Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 04 Sep 2018 20:14:34 +0200

thunderbird (1:60.0-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [71ac5e7] rebuild patch queue from patch-queue branch
    added patches:
    porting-mips/Add-struct-ucred-for-Linux-on-MIPS.patch
    porting-mips/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch
    porting-mips/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch
  * [d94e5dc] d/control: B-D on {lib}clang-6.0* and llvm-6.0-dev
    (Closes: #906707)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 20 Aug 2018 17:57:07 +0200

thunderbird (1:60.0-1) unstable; urgency=medium

  [ Cyril Brulebois ]
  * [4f1fcd4] Bump B-D libsqlite3-dev version
     Upstream requires a more recent version that is already available in
     unstable but not in Stretch later e.g.
  * [5a790c2] Add libicu-dev to Build-Depends (required for icu-i18n.pc)
     This package was pulled from some other package already but we need this
     explicit now again as we don't use the internal ICU version any more.
  * [8c86207] Bump libhunspell-dev version
     The same as for libsqlite3-dev, adding the correct B-D version.
    (Closes: #905465)

  [ Carsten Schoenert ]
  * [901f257] New upstream version 60.0
    Fixed CVE issues in upstream version 60.0 (MFSA 2018-19)
    CVE-2018-12359: Buffer overflow using computed size of canvas element
    CVE-2018-12360: Use-after-free when using focus()
    CVE-2018-12361: Integer overflow in SwizzleData
    CVE-2018-12362: Integer overflow in SSSE3 scaler
    CVE-2018-5156:  Media recorder segmentation fault when track type is
                    changed during capture
    CVE-2018-12363: Use-after-free when appending DOM nodes
    CVE-2018-12364: CSRF attacks through 307 redirects and NPAPI plugins
    CVE-2018-12365: Compromised IPC child process can list local filenames
    CVE-2018-12371: Integer overflow in Skia library during edge builder
                    allocation
    CVE-2018-12366: Invalid data handling during QCMS transformations
    CVE-2018-12367: Timing attack mitigation of PerformanceNavigationTiming
    CVE-2018-5187:  Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1,
                    and Thunderbird 60
    CVE-2018-5188:  Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1,
                    Firefox ESR 52.9, and Thunderbird 60
  * [44ab834] rebuild patch queue from patch-queue branch
    removed patches (applied upstream):
    porting-arm64/Bug-1453892-Only-use-SkJumper-s-arm64-half-float-optimiza.patch
    porting-arm64/Bug-1463036-Use-HAVE_ARM_NEON-instead-of-BUILD_ARM_NEON-f.patch
    porting-armel/Bug-1463036-Add-mfloat-abi-softfp-to-NEON_FLAGS-when-it-m.patch
  * [3168b29] debian/control: increase Standards-Version to 4.2.0
     No further changes needed.
  * [f2f206e] d/rules: use MOZ_LANGPACK_ID instead of hard coding
  * [996352a] d/rules: ensure l10n MOZ_LANGPACK_ID matches variable from
                       makefile
     Previous beta versions for the thunderbird-l10n data have used
     '@firefox.mozilla.org' within their application.id setting. Thunderbird
     now expects '@thunderbird.mozilla.org' instead. Make the build more
     flexible so we can detect mismatches here.
    (Closes: #906176)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Aug 2018 11:32:11 +0200

thunderbird (1:60.0~b10-1) experimental; urgency=medium

  [ intrigeri ]
  * [596869d] AppArmor: update profile from upstream (at commit edc9487)
    (Closes: #901471)

  [ Carsten Schoenert ]
  * [57195ff] New upstream version 60.0~b10
  * [770c9a6] rebuild patch queue from patch-queue branch
    added patches:
    porting-arm64/Bug-1463036-Use-HAVE_ARM_NEON-instead-of-BUILD_ARM_NEON-f.patch
    porting-armel/Avoid-using-vmrs-vmsr-on-armel.patch
    porting-armel/Bug-1463035-Remove-MOZ_SIGNAL_TRAMPOLINE.-r-darchons.patch
    porting-armel/Bug-1463036-Add-mfloat-abi-softfp-to-NEON_FLAGS-when-it-m.patch
  * [7fa6ebd] debian/control: increase Standards-Version to 4.1.5
     No further changes needed.
  * [22e701c] c-l-l10n-t.sh: adjust the path to the python helper
     Adjust the shell script helper to use the changed path to makeversion.py.
  * [90a1d9e] sticky prefs: use the new syntax in vendor.js
     The syntax for locked preferences has been changed a while ago, it's
     time to adjust the entry within vendor.js to disable automatic updates
     for AddOns.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Jul 2018 17:52:27 +0200

thunderbird (1:60.0~b9-2) experimental; urgency=medium

  [ intrigeri ]
  * [eb7cb44] Revert "apparmor: allow access to @{HOME}/.gnupg/tofu.db"
  * [4cd8baf] AppArmor: update profile from upstream
    (Closes: #900840)

