=== debian/control ===
--- 
+++ 
@@ -310,14 +310,17 @@
  thunderbird (>= ${source:Version}),
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:ar
+Replaces:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
+ lightning-l10n-ar (<< 1:60.2.1-1~),
+Breaks:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
+ lightning-l10n-ar (<< 1:60.2.1-1~),
+Provides:
+ icedove-l10n-ar,
+ lightning-l10n-ar,
 Recommends:
  hunspell-ar,
-Replaces:
- icedove-l10n-ar (<< 1:45.6.0-2.1~),
-Breaks:
- icedove-l10n-ar (<< 1:45.6.0-2.1~),
-Provides:
- icedove-l10n-ar,
 Description: Arabic language package for Thunderbird
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -335,10 +338,13 @@
 Homepage: https://wiki.mozilla.org/L10n:Teams:ast
 Replaces:
  icedove-l10n-ast (<< 1:45.6.0-2.1~),
+ lightning-l10n-ast (<< 1:60.2.1-1~),
 Breaks:
  icedove-l10n-ast (<< 1:45.6.0-2.1~),
+ lightning-l10n-ast (<< 1:60.2.1-1~),
 Provides:
  icedove-l10n-ast,
+ lightning-l10n-ast,
 Description: Asturian language package for Thunderbird
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -354,14 +360,17 @@
  thunderbird (>= ${source:Version}),
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:be
+Replaces:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
+ lightning-l10n-be (<< 1:60.2.1-1~),
+Breaks:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
+ lightning-l10n-be (<< 1:60.2.1-1~),
+Provides:
+ icedove-l10n-be,
+ lightning-l10n-be,
 Recommends:
  hunspell-be,
-Replaces:
- icedove-l10n-be (<< 1:45.6.0-2.1~),
-Breaks:
- icedove-l10n-be (<< 1:45.6.0-2.1~),
-Provides:
- icedove-l10n-be,
 Description: Belarusian language package for Thunderbird
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -375,14 +384,3 @@
 Depends:
  thunderbird (<< ${source:Version}.1~),
  thunderbird (>= ${source:Version}),
- ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:bg
-Recommends:
- hunspell-bg | myspell-bg,
-Replaces:
- icedove-l10n-bg (<< 1:45.6.0-2.1~),
-Breaks:
- icedove-l10n-bg (<< 1:45.6.0-2.1~),
-Provides:
- icedove-l10n-bg,
-Description: Bulgarian language package for Thunderbird
