=== debian/rules ===
--- 
+++ 
@@ -140,13 +140,14 @@
 			$(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 	done
 	# install lightning-l10n
+	# Since 60.2.1 we install the Lightning l10n files into the thunderbird-l10n package!
 	cd $(CURDIR)/lightning-l10n ;\
 	for LANG in *; do \
 		locale=`basename $${LANG}` ;\
 		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
-		echo "working on 'lightning-l10n-$${lowercase_locale}'" ;\
-		mkdir -p $(CURDIR)/debian/lightning-l10n-$${lowercase_locale}/usr/share/lightning ;\
-		cp -a $${locale}/* $(CURDIR)/debian/lightning-l10n-$${lowercase_locale}/usr/share/lightning ;\
+		echo "working on 'lightning-l10n-$${lowercase_locale}' (finally within thunderbird-l10n-$${lowercase_locale})" ;\
+		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
+		cp -a $${locale}/* $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
 	done
 	dh_bash-completion
 
@@ -168,4 +169,3 @@
 	mkdir -p debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/
 	GDATA_PROVIDER=`find -type f -name "gdata-provider*.xpi"` &&\
 		unzip -d debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/ $(CURDIR)/$$GDATA_PROVIDER
-	find debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider -newermt '$(BUILD_DATE)' -print0 | \
